local oxygen = {
    base_color = {b = 1, g = 1, r = 1},
    default_temperature = 25,
    flow_color = {b = 1, g = 1, r = 1},
    heat_capacity = "1KJ",
    icon = "__industrial-engineering__/graphics/icons/fluid/oxygen.png",
    icon_mipmaps = 4,
    icon_size = 64,
    max_temperature = 100,
    name = "industrial-engineering-oxygen",
    order = "a[fluid]-e[petroleum-gas]",
    type = "fluid",
}

local hydrogen = {
    base_color = {b = 0, g = 1, r = 1},
    default_temperature = 25,
    flow_color = {b = 0, g = 1, r = 1},
    heat_capacity = "1KJ",
    icon = "__industrial-engineering__/graphics/icons/fluid/hydrogen.png",
    icon_mipmaps = 4,
    icon_size = 64,
    max_temperature = 165,
    name = "industrial-engineering-hydrogen",
    order = "a[fluid]-e[petroleum-gas]",
    type = "fluid",
	fuel_value="0.003616MJ",
}

local dirty_syngas = {
    base_color = {b = 0, g = 20, r = 112},
    default_temperature = 25,
    flow_color = {b = 0, g = 20, r = 112},
    heat_capacity = "1KJ",
    icon = "__industrial-engineering__/graphics/icons/fluid/dirty-syngas.png",
    icon_mipmaps = 4,
    icon_size = 64,
    max_temperature = 165,
    name = "industrial-engineering-dirty-syngas",
    order = "a[fluid]-e[petroleum-gas]",
    type = "fluid",
	fuel_value="2MJ",
}

local clean_syngas = {
    base_color = {b = 49, g = 112, r = 169},
    default_temperature = 25,
    flow_color = {b = 49, g = 112, r = 169},
    heat_capacity = "1KJ",
    icon = "__industrial-engineering__/graphics/icons/fluid/clean-syngas.png",
    icon_mipmaps = 4,
    icon_size = 64,
    max_temperature = 165,
    name = "industrial-engineering-clean-syngas",
    order = "a[fluid]-e[petroleum-gas]",
    type = "fluid",
	fuel_value="2MJ",
}

data:extend({
    oxygen,
	hydrogen,
	dirty_syngas,
	clean_syngas,
})